# gcp::StringDlg Class Reference

`#include <gcp/stringdlg.h>`

Inheritance diagram for gcp::StringDlg:

List of all members.

## Public Types

enum | data_type { SMILES, INCHI }

## Public Member Functions

| StringDlg (Document *pDoc, std::string &data, enum data_type type)
virtual | ~StringDlg ()
bool | Apply ()
void | Copy ()
void | OnGetData (GtkClipboard *clipboard, GtkSelectionData *selection_data, guint info)

## Detailed Description

Represents the dialog used to display the InChI or canonical SMILES of a molecule.

Definition at line 39 of file stringdlg.h.

## Member Enumeration Documentation

enum gcp::StringDlg::data_type

The string types supported by StringDlg.

Enumerator:

  SMILES | SMILES representation of a molecule.
  INCHI | InChI of a molecule.

Definition at line 45 of file stringdlg.h.

## Constructor & Destructor Documentation

gcp::StringDlg::StringDlg | ( | Document * | pDoc,
|  | std::string & | data,
|  | enum data_type | type |
| ) |  |  |

Parameters:

  | pDoc | the document owning the dialog.
  | data | the string to display.
  | type | the type of the data.

Builds a dialog showing the string and display it. type is used to select an appropriate title for the dialog box.

virtual gcp::StringDlg::~StringDlg | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

bool gcp::StringDlg::Apply | ( |  | ) | `[virtual]`

Called by the framework to save the string to a file upon user request.

Reimplemented from gcu::Dialog.

void gcp::StringDlg::Copy | ( |  | ) |

Called by the framework when the user clicks the "Copy" button.

void gcp::StringDlg::OnGetData | ( | GtkClipboard * | clipboard,
|  | GtkSelectionData * | selection_data,
|  | guint | info |
| ) |  |  |

Parameters:

  | clipboard | the clipboard requesting the data.
  | selection_data | the GtkSelectionData to which the string should be copied.
  | info | the type of data requested. Unused since only ASCII strings are supported.

Called by the framework to get the actual data for the clipboard.

The documentation for this class was generated from the following file:

- stringdlg.h